import request from '@/apis/utils/request'

//用电详细-计费规则
export function electricityStatisticsDetails(data) {
	var url='mobile/ElectricityMeter/electricityStatisticsDetails';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//用电详细-计费规则
export function billingRules(data) {
	var url='/mobile/ElectricityMeter/billingRules';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//用电详细
export function electricityConsumptionDetails(data) {
	var url='/mobile/ElectricityMeter/electricityConsumptionDetails';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//用电统计
export function electricityConsumptionStatistics(data) {
	var url='/mobile/ElectricityMeter/electricityConsumptionStatistics';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//能源中心电表修改信息
export function updateMeter(data) {
	var url='/mobile/employeeElectricityMeter/updateMeter';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//能源中心换绑电表
export function charngeMeter(data) {
	var url='/mobile/employeeElectricityMeter/charngeMeter';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//查-查询设备list-传‘设备类型’
export function findByName(data) {
	var url='/mobile/dataDictionary/findByName';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//能源中心绑定电表
export function bindMeter(data) {
	var url='/mobile/employeeElectricityMeter/bindMeter';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//能源中心扫电表码
export function findByMeterNo(data) {
	var url='/mobile/employeeElectricityMeter/findByMeterNo';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//设备信息list
export function materList(data) {
	var url='/mobile/employeeElectricityMeter/materList';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//表信息
export function meterDetails(data) {
	var url='/mobile/ElectricityMeter/meterDetails';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function powerDetection(data) {
	var url='/mobile/ElectricityMeter/powerDetection';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function electricityMonthTB(data) {
	var url='/mobile/ElectricityMeter/electricityMonthTB';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function electricityMonthHB(data) {
	var url='/mobile/ElectricityMeter/electricityMonthHB';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}


export function electricityHourByYear(data) {
	var url='/mobile/ElectricityMeter/electricityHourByYear';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function electricityHourByDay(data) {
	var url='/mobile/ElectricityMeter/electricityHourByDay';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}